Subject: Re: bug#79433: 9.7: cp(1): lchownat(2/3) fallback bogus?

From: Steffen Nurpmeso <[email-masked]>
Date: Tue, 16 Sep 2025 20:51:03 +0200

Hello again, and however,

Steffen Nurpmeso wrote in
 <20250916143658.Sac81LV7@steffen%sdaoden.eu>:
 |Steffen Nurpmeso wrote in
 | <20250916122011.vqDfAgh0@steffen%sdaoden.eu>:
 ||Paul Eggert wrote in
 || <[email-masked]>:
 |||On 2025-09-15 17:40, Steffen Nurpmeso wrote:
 |||> How likely is a miscompilation of gcc 4.2.0?
 |||
 |||I would think not likely, but possible.
 | ...

Do not laugh, but i can actually reproduce building coreutils in
my current environment in a way that causes the bug to happen.
But i do not know how.
But i can give config.log files.

I know how now.  Just run configure via fakeroot!
Yes!  Ha!!!  And all for free, what a shame.

I attach a tar archives of the two different logfiles, maybe some
GNU build system guru can figure out more.

(btw isn't english funny "[kn]ow [h]ow [n]ow", sounds like
Blackfoot's I am on the Run, or something.)

--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)